Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionListView Class Reference

The QStyleOptionListView class is used to describe the parameters for drawing a Q3ListView. More...

    #include <QStyleOptionListView>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Read-Only Properties

- itemMargin : int
- items : QList<QStyleOptionListViewItem>
- rootIsDecorated : bool
- sortColumn : int

- treeStepSize : int
- viewportBGRole : QPalette::ColorRole
- viewportPalette : QPalette

- 2 read-only properties inherited from QStyleOptionComplex
- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionListView ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionListView class is used to describe the parameters for drawing a Q3ListView.

The class is used for drawing the compat Q3ListView. It is not recommended for use in new code.

## Property Documentation

### itemMargin : int

This property holds the margin for items in the list view.

See also Q3ListView::itemMargin().

### items : QList<QStyleOptionListViewItem>

This property holds a list of items in the Q3ListView.

This is a list of QStyleOptionListViewItems. The first item can be used for most of the calculation that are needed for drawing a list view. Any additional items are the children of this first item, which may be used for additional information.

See also QStyleOptionListViewItem.

### rootIsDecorated : bool

This property holds whether root items are decorated.

See also Q3ListView::rootIsDecorated().

### sortColumn : int

This property holds the sort column of the list view.

See also Q3ListView::sortColumn().

### treeStepSize : int

This property holds the number of pixel to offset children items from their parents.

See also Q3ListView::treeStepSize().

### viewportBGRole : QPalette::ColorRole

This property holds the background role of Q3ListView's viewport.

See also QWidget::backgroundRole().

### viewportPalette : QPalette

This property holds the palette of 's viewport.

## Member Function Documentation

### QStyleOptionListView::QStyleOptionListView ()

Creates a QStyleOptionListView. The members variables are initialized to default values.